: Class TextArea

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTML
Class TextArea

    java.lang.Object
      |
      +--com.mortbay.HTML.Element
            |
            +--com.mortbay.HTML.Composite
                  |
                  +--com.mortbay.HTML.Block
                        |
                        +--com.mortbay.HTML.TextArea

public class TextArea
extends Block

A Text Area within a form

The text in the TEXTAREA is handled by the super class, Text

See Also:
  `Text`

Fields inherited from class com.mortbay.HTML.Block
`Bold, Center, Div, Italic, Left, Listing, Plain, Pre, Quote, Right, Span, Xmp`

Fields inherited from class com.mortbay.HTML.Composite
`elements, nest`

Fields inherited from class com.mortbay.HTML.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`TextArea(java.lang.String name)`
`TextArea(java.lang.String name, java.lang.String s)`

Method Summary
`TextArea` | `setSize(int chars, int lines)`

Methods inherited from class com.mortbay.HTML.Block
`write`

Methods inherited from class com.mortbay.HTML.Composite
`add, contents, nest, replace, reset, setNest, size, unnest`

Methods inherited from class com.mortbay.HTML.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextArea

    public TextArea(java.lang.String name)

  Parameters:
    `name` - The name of the TextArea within the form

### TextArea

    public TextArea(java.lang.String name,
                    java.lang.String s)

  Parameters:
    `name` - The name of the TextArea within the form
    `s` - The string in the text area

Method Detail

### setSize

    public TextArea setSize(int chars,
                            int lines)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD